diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-upgrader.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-upgrader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-upgrader.php	2013-06-21 00:55:56.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-upgrader.php	2013-06-21 00:54:40.000000000 -0500
***************
*** 50,55 ****
--- 50,56 ----
  
  		$this->strings['download_failed'] = __('Download failed.');
  		$this->strings['installing_package'] = __('Installing the latest version&#8230;');
+ 		$this->strings['no_files'] = __('The package contains no files.');
  		$this->strings['folder_exists'] = __('Destination folder already exists.');
  		$this->strings['mkdir_failed'] = __('Could not create directory.');
  		$this->strings['incompatible_archive'] = __('The package could not be installed.');
***************
*** 166,171 ****
--- 167,173 ----
  		global $wp_filesystem;
  		$defaults = array( 'source' => '', 'destination' => '', //Please always pass these
  						'clear_destination' => false, 'clear_working' => false,
+ 						'abort_if_destination_exists' => true,
  						'hook_extra' => array());
  
  		$args = wp_parse_args($args, $defaults);
***************
*** 193,200 ****
  		if ( 1 == count($source_files) && $wp_filesystem->is_dir( trailingslashit($source) . $source_files[0] . '/') ) //Only one folder? Then we want its contents.
  			$source = trailingslashit($source) . trailingslashit($source_files[0]);
  		elseif ( count($source_files) == 0 )
! 			return new WP_Error( 'incompatible_archive', $this->strings['incompatible_archive'], __( 'The plugin contains no files.' ) ); //There are no files?
! 		else //Its only a single file, The upgrader will use the foldername of this file as the destination folder. foldername is based on zip filename.
  			$source = trailingslashit($source);
  
  		//Hook ability to change the source file location..
--- 195,202 ----
  		if ( 1 == count($source_files) && $wp_filesystem->is_dir( trailingslashit($source) . $source_files[0] . '/') ) //Only one folder? Then we want its contents.
  			$source = trailingslashit($source) . trailingslashit($source_files[0]);
  		elseif ( count($source_files) == 0 )
! 			return new WP_Error( 'incompatible_archive', $this->strings['incompatible_archive'], $this->strings['no_files'] ); //There are no files?
! 		else //It's only a single file, the upgrader will use the foldername of this file as the destination folder. foldername is based on zip filename.
  			$source = trailingslashit($source);
  
  		//Hook ability to change the source file location..
***************
*** 224,230 ****
  				return $removed;
  			else if ( ! $removed )
  				return new WP_Error('remove_old_failed', $this->strings['remove_old_failed']);
! 		} elseif ( $wp_filesystem->exists($remote_destination) ) {
  			//If we're not clearing the destination folder and something exists there already, Bail.
  			//But first check to see if there are actually any files in the folder.
  			$_files = $wp_filesystem->dirlist($remote_destination);
--- 226,232 ----
  				return $removed;
  			else if ( ! $removed )
  				return new WP_Error('remove_old_failed', $this->strings['remove_old_failed']);
! 		} elseif ( $abort_if_destination_exists && $wp_filesystem->exists($remote_destination) ) {
  			//If we're not clearing the destination folder and something exists there already, Bail.
  			//But first check to see if there are actually any files in the folder.
  			$_files = $wp_filesystem->dirlist($remote_destination);
***************
*** 272,277 ****
--- 274,280 ----
  		$defaults = array( 	'package' => '', //Please always pass this.
  							'destination' => '', //And this
  							'clear_destination' => false,
+ 							'abort_if_destination_exists' => true, // Abort if the Destination directory exists, Pass clear_destination as false please
  							'clear_working' => true,
  							'is_multi' => false,
  							'hook_extra' => array() //Pass any extra $hook_extra args here, this will be passed to any hooked filters.
***************
*** 318,323 ****
--- 321,327 ----
  											'source' => $working_dir,
  											'destination' => $destination,
  											'clear_destination' => $clear_destination,
+ 											'abort_if_destination_exists' => $abort_if_destination_exists,
  											'clear_working' => $clear_working,
  											'hook_extra' => $hook_extra
  										) );
***************
*** 385,390 ****
--- 389,395 ----
  		$this->strings['downloading_package'] = __('Downloading install package from <span class="code">%s</span>&#8230;');
  		$this->strings['unpack_package'] = __('Unpacking the package&#8230;');
  		$this->strings['installing_package'] = __('Installing the plugin&#8230;');
+ 		$this->strings['no_files'] = __('The plugin contains no files.');
  		$this->strings['process_failed'] = __('Plugin install failed.');
  		$this->strings['process_success'] = __('Plugin installed successfully.');
  	}
***************
*** 412,417 ****
--- 417,423 ----
  		// Force refresh of plugin update information
  		delete_site_transient('update_plugins');
  		wp_cache_delete( 'plugins', 'plugins' );
+ 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'install', 'type' => 'plugin' ), $package );
  
  		return true;
  	}
***************
*** 457,462 ****
--- 463,469 ----
  		// Force refresh of plugin update information
  		delete_site_transient('update_plugins');
  		wp_cache_delete( 'plugins', 'plugins' );
+ 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'update', 'type' => 'plugin' ), $plugin );
  	}
  
  	function bulk_upgrade($plugins) {
***************
*** 539,544 ****
--- 546,552 ----
  		// Force refresh of plugin update information
  		delete_site_transient('update_plugins');
  		wp_cache_delete( 'plugins', 'plugins' );
+ 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'update', 'type' => 'plugin', 'bulk' => true ), $plugins );
  
  		return $results;
  	}
***************
*** 615,625 ****
  		$plugins_dir = $wp_filesystem->wp_plugins_dir();
  		$this_plugin_dir = trailingslashit( dirname($plugins_dir . $plugin) );
  
! 		if ( ! $wp_filesystem->exists($this_plugin_dir) ) //If its already vanished.
  			return $removed;
  
  		// If plugin is in its own directory, recursively delete the directory.
! 		if ( strpos($plugin, '/') && $this_plugin_dir != $plugins_dir ) //base check on if plugin includes directory separator AND that its not the root plugin folder
  			$deleted = $wp_filesystem->delete($this_plugin_dir, true);
  		else
  			$deleted = $wp_filesystem->delete($plugins_dir . $plugin);
--- 623,633 ----
  		$plugins_dir = $wp_filesystem->wp_plugins_dir();
  		$this_plugin_dir = trailingslashit( dirname($plugins_dir . $plugin) );
  
! 		if ( ! $wp_filesystem->exists($this_plugin_dir) ) //If it's already vanished.
  			return $removed;
  
  		// If plugin is in its own directory, recursively delete the directory.
! 		if ( strpos($plugin, '/') && $this_plugin_dir != $plugins_dir ) //base check on if plugin includes directory separator AND that it's not the root plugin folder
  			$deleted = $wp_filesystem->delete($this_plugin_dir, true);
  		else
  			$deleted = $wp_filesystem->delete($plugins_dir . $plugin);
***************
*** 661,666 ****
--- 669,675 ----
  		$this->strings['downloading_package'] = __('Downloading install package from <span class="code">%s</span>&#8230;');
  		$this->strings['unpack_package'] = __('Unpacking the package&#8230;');
  		$this->strings['installing_package'] = __('Installing the theme&#8230;');
+ 		$this->strings['no_files'] = __('The theme contains no files.');
  		$this->strings['process_failed'] = __('Theme install failed.');
  		$this->strings['process_success'] = __('Theme installed successfully.');
  		/* translators: 1: theme name, 2: version */
***************
*** 757,769 ****
  		$this->run($options);
  
  		remove_filter('upgrader_source_selection', array(&$this, 'check_package') );
! 		remove_filter('upgrader_post_install', array(&$this, 'check_parent_theme_filter'), 10, 3);
  
  		if ( ! $this->result || is_wp_error($this->result) )
  			return $this->result;
  
  		// Force refresh of theme update information
  		wp_clean_themes_cache();
  
  		return true;
  	}
--- 766,779 ----
  		$this->run($options);
  
  		remove_filter('upgrader_source_selection', array(&$this, 'check_package') );
! 		remove_filter('upgrader_post_install', array(&$this, 'check_parent_theme_filter'));
  
  		if ( ! $this->result || is_wp_error($this->result) )
  			return $this->result;
  
  		// Force refresh of theme update information
  		wp_clean_themes_cache();
+ 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'install', 'type' => 'theme' ), $package );
  
  		return true;
  	}
***************
*** 801,815 ****
  
  		$this->run($options);
  
! 		remove_filter('upgrader_pre_install', array(&$this, 'current_before'), 10, 2);
! 		remove_filter('upgrader_post_install', array(&$this, 'current_after'), 10, 2);
! 		remove_filter('upgrader_clear_destination', array(&$this, 'delete_old_theme'), 10, 4);
  
  		if ( ! $this->result || is_wp_error($this->result) )
  			return $this->result;
  
  		// Force refresh of theme update information
  		wp_clean_themes_cache();
  
  		return true;
  	}
--- 811,826 ----
  
  		$this->run($options);
  
! 		remove_filter('upgrader_pre_install', array(&$this, 'current_before'));
! 		remove_filter('upgrader_post_install', array(&$this, 'current_after'));
! 		remove_filter('upgrader_clear_destination', array(&$this, 'delete_old_theme'));
  
  		if ( ! $this->result || is_wp_error($this->result) )
  			return $this->result;
  
  		// Force refresh of theme update information
  		wp_clean_themes_cache();
+ 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'update', 'type' => 'theme' ), $theme );
  
  		return true;
  	}
***************
*** 891,902 ****
  		$this->skin->footer();
  
  		// Cleanup our hooks, in case something else does a upgrade on this connection.
! 		remove_filter('upgrader_pre_install', array(&$this, 'current_before'), 10, 2);
! 		remove_filter('upgrader_post_install', array(&$this, 'current_after'), 10, 2);
! 		remove_filter('upgrader_clear_destination', array(&$this, 'delete_old_theme'), 10, 4);
  
  		// Force refresh of theme update information
  		wp_clean_themes_cache();
  
  		return $results;
  	}
--- 902,914 ----
  		$this->skin->footer();
  
  		// Cleanup our hooks, in case something else does a upgrade on this connection.
! 		remove_filter('upgrader_pre_install', array(&$this, 'current_before'));
! 		remove_filter('upgrader_post_install', array(&$this, 'current_after'));
! 		remove_filter('upgrader_clear_destination', array(&$this, 'delete_old_theme'));
  
  		// Force refresh of theme update information
  		wp_clean_themes_cache();
+ 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'update', 'type' => 'theme', 'bulk' => true ), $themes );
  
  		return $results;
  	}
***************
*** 1020,1028 ****
  		$this->init();
  		$this->upgrade_strings();
  
- 		if ( !empty($feedback) )
- 			add_filter('update_feedback', $feedback);
- 
  		// Is an update available?
  		if ( !isset( $current->response ) || $current->response == 'latest' )
  			return new WP_Error('up_to_date', $this->strings['up_to_date']);
--- 1032,1037 ----
***************
*** 1067,1073 ****
  		if ( ! function_exists( 'update_core' ) )
  			return new WP_Error( 'copy_failed_space', $this->strings['copy_failed_space'] );
  
! 		return update_core($working_dir, $wp_dir);
  	}
  
  }
--- 1076,1084 ----
  		if ( ! function_exists( 'update_core' ) )
  			return new WP_Error( 'copy_failed_space', $this->strings['copy_failed_space'] );
  
! 		$result = update_core( $working_dir, $wp_dir );
! 		do_action( 'upgrader_process_complete', $this, array( 'action' => 'update', 'type' => 'core' ), $result );
! 		return $result;
  	}
  
  }
***************
*** 1118,1124 ****
  			return;
  		$this->done_header = true;
  		echo '<div class="wrap">';
! 		echo screen_icon();
  		echo '<h2>' . $this->options['title'] . '</h2>';
  	}
  	function footer() {
--- 1129,1135 ----
  			return;
  		$this->done_header = true;
  		echo '<div class="wrap">';
! 		screen_icon();
  		echo '<h2>' . $this->options['title'] . '</h2>';
  	}
  	function footer() {
***************
*** 1234,1240 ****
  
  	function add_strings() {
  		$this->upgrader->strings['skin_upgrade_start'] = __('The update process is starting. This process may take a while on some hosts, so please be patient.');
! 		$this->upgrader->strings['skin_update_failed_error'] = __('An error occurred while updating %1$s: <strong>%2$s</strong>.');
  		$this->upgrader->strings['skin_update_failed'] = __('The update of %1$s failed.');
  		$this->upgrader->strings['skin_update_successful'] = __('%1$s updated successfully.').' <a onclick="%2$s" href="#" class="hide-if-no-js"><span>'.__('Show Details').'</span><span class="hidden">'.__('Hide Details').'</span>.</a>';
  		$this->upgrader->strings['skin_upgrade_end'] = __('All updates have been completed.');
--- 1245,1251 ----
  
  	function add_strings() {
  		$this->upgrader->strings['skin_upgrade_start'] = __('The update process is starting. This process may take a while on some hosts, so please be patient.');
! 		$this->upgrader->strings['skin_update_failed_error'] = __('An error occurred while updating %1$s: <strong>%2$s</strong>');
  		$this->upgrader->strings['skin_update_failed'] = __('The update of %1$s failed.');
  		$this->upgrader->strings['skin_update_successful'] = __('%1$s updated successfully.').' <a onclick="%2$s" href="#" class="hide-if-no-js"><span>'.__('Show Details').'</span><span class="hidden">'.__('Hide Details').'</span>.</a>';
  		$this->upgrader->strings['skin_upgrade_end'] = __('All updates have been completed.');
***************
*** 1310,1317 ****
  
  			echo '<script type="text/javascript">jQuery(\'#progress-' . esc_js($this->upgrader->update_current) . '\').show();</script>';
  		}
! 		if ( !empty($this->result) && !is_wp_error($this->result) ) {
! 			echo '<div class="updated"><p>' . sprintf($this->upgrader->strings['skin_update_successful'], $title, 'jQuery(\'#progress-' . esc_js($this->upgrader->update_current) . '\').toggle();jQuery(\'span\', this).toggle(); return false;') . '</p></div>';
  			echo '<script type="text/javascript">jQuery(\'.waiting-' . esc_js($this->upgrader->update_current) . '\').hide();</script>';
  		}
  
--- 1321,1329 ----
  
  			echo '<script type="text/javascript">jQuery(\'#progress-' . esc_js($this->upgrader->update_current) . '\').show();</script>';
  		}
! 		if ( $this->result && ! is_wp_error( $this->result ) ) {
! 			if ( ! $this->error )
! 				echo '<div class="updated"><p>' . sprintf($this->upgrader->strings['skin_update_successful'], $title, 'jQuery(\'#progress-' . esc_js($this->upgrader->update_current) . '\').toggle();jQuery(\'span\', this).toggle(); return false;') . '</p></div>';
  			echo '<script type="text/javascript">jQuery(\'.waiting-' . esc_js($this->upgrader->update_current) . '\').hide();</script>';
  		}
  
***************
*** 1342,1352 ****
  		$this->upgrader->strings['skin_before_update_header'] = __('Updating Plugin %1$s (%2$d/%3$d)');
  	}
  
! 	function before() {
  		parent::before($this->plugin_info['Title']);
  	}
  
! 	function after() {
  		parent::after($this->plugin_info['Title']);
  	}
  	function bulk_footer() {
--- 1354,1364 ----
  		$this->upgrader->strings['skin_before_update_header'] = __('Updating Plugin %1$s (%2$d/%3$d)');
  	}
  
! 	function before($title = '') {
  		parent::before($this->plugin_info['Title']);
  	}
  
! 	function after($title = '') {
  		parent::after($this->plugin_info['Title']);
  	}
  	function bulk_footer() {
***************
*** 1376,1386 ****
  		$this->upgrader->strings['skin_before_update_header'] = __('Updating Theme %1$s (%2$d/%3$d)');
  	}
  
! 	function before() {
  		parent::before( $this->theme_info->display('Name') );
  	}
  
! 	function after() {
  		parent::after( $this->theme_info->display('Name') );
  	}
  
--- 1388,1398 ----
  		$this->upgrader->strings['skin_before_update_header'] = __('Updating Theme %1$s (%2$d/%3$d)');
  	}
  
! 	function before($title = '') {
  		parent::before( $this->theme_info->display('Name') );
  	}
  
! 	function after($title = '') {
  		parent::after( $this->theme_info->display('Name') );
  	}
  
***************
*** 1433,1439 ****
  
  		$install_actions = array();
  
! 		$from = isset($_GET['from']) ? stripslashes($_GET['from']) : 'plugins';
  
  		if ( 'import' == $from )
  			$install_actions['activate_plugin'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;from=import&amp;plugin=' . urlencode( $plugin_file ), 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin &amp; Run Importer') . '</a>';
--- 1445,1451 ----
  
  		$install_actions = array();
  
! 		$from = isset($_GET['from']) ? wp_unslash( $_GET['from'] ) : 'plugins';
  
  		if ( 'import' == $from )
  			$install_actions['activate_plugin'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;from=import&amp;plugin=' . urlencode( $plugin_file ), 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin &amp; Run Importer') . '</a>';
***************
*** 1603,1609 ****
  }
  
  /**
!  * Upgrade Skin helper for File uploads. This class handles the upload process and passes it as if its a local file to the Upgrade/Installer functions.
   *
   * @TODO More Detailed docs, for methods as well.
   *
--- 1615,1621 ----
  }
  
  /**
!  * Upgrade Skin helper for File uploads. This class handles the upload process and passes it as if it's a local file to the Upgrade/Installer functions.
   *
   * @TODO More Detailed docs, for methods as well.
   *
***************
*** 1621,1627 ****
  		if ( empty($_FILES[$form]['name']) && empty($_GET[$urlholder]) )
  			wp_die(__('Please select a file'));
  
! 		//Handle a newly uploaded file, Else assume its already been uploaded
  		if ( ! empty($_FILES) ) {
  			$overrides = array( 'test_form' => false, 'test_type' => false );
  			$file = wp_handle_upload( $_FILES[$form], $overrides );
--- 1633,1639 ----
  		if ( empty($_FILES[$form]['name']) && empty($_GET[$urlholder]) )
  			wp_die(__('Please select a file'));
  
! 		//Handle a newly uploaded file, Else assume it's already been uploaded
  		if ( ! empty($_FILES) ) {
  			$overrides = array( 'test_form' => false, 'test_type' => false );
  			$file = wp_handle_upload( $_FILES[$form], $overrides );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-users-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-users-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-users-list-table.php	2012-11-19 15:43:47.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-users-list-table.php	2013-04-28 20:10:50.000000000 -0500
***************
*** 209,215 ****
  				continue;
  
  			$style = ( ' class="alternate"' == $style ) ? '' : ' class="alternate"';
! 			echo "\n\t", $this->single_row( $user_object, $style, $role, isset( $post_counts ) ? $post_counts[ $userid ] : 0 );
  		}
  	}
  
--- 209,215 ----
  				continue;
  
  			$style = ( ' class="alternate"' == $style ) ? '' : ' class="alternate"';
! 			echo "\n\t" . $this->single_row( $user_object, $style, $role, isset( $post_counts ) ? $post_counts[ $userid ] : 0 );
  		}
  	}
  
***************
*** 241,247 ****
  		// Check if the user for this row is editable
  		if ( current_user_can( 'list_users' ) ) {
  			// Set up the user editing link
! 			$edit_link = esc_url( add_query_arg( 'wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), get_edit_user_link( $user_object->ID ) ) );
  
  			// Set up the hover actions for this user
  			$actions = array();
--- 241,247 ----
  		// Check if the user for this row is editable
  		if ( current_user_can( 'list_users' ) ) {
  			// Set up the user editing link
! 			$edit_link = esc_url( add_query_arg( 'wp_http_referer', urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ), get_edit_user_link( $user_object->ID ) ) );
  
  			// Set up the hover actions for this user
  			$actions = array();
***************
*** 260,266 ****
  			$actions = apply_filters( 'user_row_actions', $actions, $user_object );
  			$edit .= $this->row_actions( $actions );
  
! 			// Set up the checkbox ( because the user is editable, otherwise its empty )
  			$checkbox = '<label class="screen-reader-text" for="cb-select-' . $user_object->ID . '">' . sprintf( __( 'Select %s' ), $user_object->user_login ) . '</label>'
  						. "<input type='checkbox' name='users[]' id='user_{$user_object->ID}' class='$role' value='{$user_object->ID}' />";
  
--- 260,266 ----
  			$actions = apply_filters( 'user_row_actions', $actions, $user_object );
  			$edit .= $this->row_actions( $actions );
  
! 			// Set up the checkbox ( because the user is editable, otherwise it's empty )
  			$checkbox = '<label class="screen-reader-text" for="cb-select-' . $user_object->ID . '">' . sprintf( __( 'Select %s' ), $user_object->user_login ) . '</label>'
  						. "<input type='checkbox' name='users[]' id='user_{$user_object->ID}' class='$role' value='{$user_object->ID}' />";
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/comment.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/comment.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/comment.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/comment.php	2013-03-01 10:28:40.000000000 -0600
***************
*** 7,20 ****
   */
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.0.0
   * @uses $wpdb
   *
   * @param string $comment_author Author of the comment
   * @param string $comment_date Date of the comment
!  * @return mixed Comment ID on success.
   */
  function comment_exists($comment_author, $comment_date) {
  	global $wpdb;
--- 7,20 ----
   */
  
  /**
!  * Determine if a comment exists based on author and date.
   *
   * @since 2.0.0
   * @uses $wpdb
   *
   * @param string $comment_author Author of the comment
   * @param string $comment_date Date of the comment
!  * @return mixed Comment post ID on success.
   */
  function comment_exists($comment_author, $comment_date) {
  	global $wpdb;
***************
*** 68,78 ****
  }
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.0.0
   *
!  * @param int $id ID of comment to retrieve
   * @return bool|object Comment if found. False on failure.
   */
  function get_comment_to_edit( $id ) {
--- 68,78 ----
  }
  
  /**
!  * Returns a comment object based on comment ID.
   *
   * @since 2.0.0
   *
!  * @param int $id ID of comment to retrieve.
   * @return bool|object Comment if found. False on failure.
   */
  function get_comment_to_edit( $id ) {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/dashboard.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/dashboard.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/dashboard.php	2012-12-05 16:51:24.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/dashboard.php	2013-05-22 16:01:57.000000000 -0500
***************
*** 232,238 ****
  
  	$num_tags = wp_count_terms('post_tag');
  
! 	$num_comm = wp_count_comments( );
  
  	echo "\n\t".'<div class="table table_content">';
  	echo "\n\t".'<p class="sub">' . __('Content') . '</p>'."\n\t".'<table>';
--- 232,238 ----
  
  	$num_tags = wp_count_terms('post_tag');
  
! 	$num_comm = wp_count_comments();
  
  	echo "\n\t".'<div class="table table_content">';
  	echo "\n\t".'<p class="sub">' . __('Content') . '</p>'."\n\t".'<table>';
***************
*** 589,596 ****
  			$url = get_edit_post_link( $draft->ID );
  			$title = _draft_or_post_title( $draft->ID );
  			$item = "<h4><a href='$url' title='" . sprintf( __( 'Edit &#8220;%s&#8221;' ), esc_attr( $title ) ) . "'>" . esc_html($title) . "</a> <abbr title='" . get_the_time(__('Y/m/d g:i:s A'), $draft) . "'>" . get_the_time( get_option( 'date_format' ), $draft ) . '</abbr></h4>';
! 			if ( $the_content = preg_split( '#[\r\n\t ]#', strip_tags( $draft->post_content ), 11, PREG_SPLIT_NO_EMPTY ) )
! 				$item .= '<p>' . join( ' ', array_slice( $the_content, 0, 10 ) ) . ( 10 < count( $the_content ) ? '&hellip;' : '' ) . '</p>';
  			$list[] = $item;
  		}
  ?>
--- 589,596 ----
  			$url = get_edit_post_link( $draft->ID );
  			$title = _draft_or_post_title( $draft->ID );
  			$item = "<h4><a href='$url' title='" . sprintf( __( 'Edit &#8220;%s&#8221;' ), esc_attr( $title ) ) . "'>" . esc_html($title) . "</a> <abbr title='" . get_the_time(__('Y/m/d g:i:s A'), $draft) . "'>" . get_the_time( get_option( 'date_format' ), $draft ) . '</abbr></h4>';
! 			if ( $the_content = wp_trim_words( $draft->post_content, 10 ) )
! 				$item .= '<p>' . $the_content . '</p>';
  			$list[] = $item;
  		}
  ?>
***************
*** 827,833 ****
  			$publisher = "<strong>$publisher</strong>";
  
  		$content = $item->get_content();
! 		$content = wp_html_excerpt($content, 50) . ' ...';
  
  		if ( $link )
  			/* translators: incoming links feed, %1$s is other person, %3$s is content */
--- 827,833 ----
  			$publisher = "<strong>$publisher</strong>";
  
  		$content = $item->get_content();
! 		$content = wp_html_excerpt( $content, 50, ' &hellip;' );
  
  		if ( $link )
  			/* translators: incoming links feed, %1$s is other person, %3$s is content */
***************
*** 869,875 ****
  }
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.5.0
   *
--- 869,875 ----
  }
  
  /**
!  * Display primary dashboard RSS widget feed.
   *
   * @since 2.5.0
   *
***************
*** 923,930 ****
  
  function wp_dashboard_plugins() {
  	wp_dashboard_cached_rss_widget( 'dashboard_plugins', 'wp_dashboard_plugins_output', array(
! 		'http://wordpress.org/extend/plugins/rss/browse/popular/',
! 		'http://wordpress.org/extend/plugins/rss/browse/new/'
  	) );
  }
  
--- 923,930 ----
  
  function wp_dashboard_plugins() {
  	wp_dashboard_cached_rss_widget( 'dashboard_plugins', 'wp_dashboard_plugins_output', array(
! 		'http://wordpress.org/plugins/rss/browse/popular/',
! 		'http://wordpress.org/plugins/rss/browse/new/'
  	) );
  }
  
***************
*** 934,941 ****
   * @since 2.5.0
   */
  function wp_dashboard_plugins_output() {
! 	$popular = fetch_feed( 'http://wordpress.org/extend/plugins/rss/browse/popular/' );
! 	$new     = fetch_feed( 'http://wordpress.org/extend/plugins/rss/browse/new/' );
  
  	if ( false === $plugin_slugs = get_transient( 'plugin_slugs' ) ) {
  		$plugin_slugs = array_keys( get_plugins() );
--- 934,941 ----
   * @since 2.5.0
   */
  function wp_dashboard_plugins_output() {
! 	$popular = fetch_feed( 'http://wordpress.org/plugins/rss/browse/popular/' );
! 	$new     = fetch_feed( 'http://wordpress.org/plugins/rss/browse/new/' );
  
  	if ( false === $plugin_slugs = get_transient( 'plugin_slugs' ) ) {
  		$plugin_slugs = array_keys( get_plugins() );
***************
*** 1093,1099 ****
  	$widget_options[$widget_id]['number'] = $number;
  
  	if ( 'POST' == $_SERVER['REQUEST_METHOD'] && isset($_POST['widget-rss'][$number]) ) {
! 		$_POST['widget-rss'][$number] = stripslashes_deep( $_POST['widget-rss'][$number] );
  		$widget_options[$widget_id] = wp_widget_rss_process( $_POST['widget-rss'][$number] );
  		// title is optional. If black, fill it if possible
  		if ( !$widget_options[$widget_id]['title'] && isset($_POST['widget-rss'][$number]['title']) ) {
--- 1093,1099 ----
  	$widget_options[$widget_id]['number'] = $number;
  
  	if ( 'POST' == $_SERVER['REQUEST_METHOD'] && isset($_POST['widget-rss'][$number]) ) {
! 		$_POST['widget-rss'][$number] = wp_unslash( $_POST['widget-rss'][$number] );
  		$widget_options[$widget_id] = wp_widget_rss_process( $_POST['widget-rss'][$number] );
  		// title is optional. If black, fill it if possible
  		if ( !$widget_options[$widget_id]['title'] && isset($_POST['widget-rss'][$number]['title']) ) {
***************
*** 1114,1120 ****
  	wp_widget_rss_form( $widget_options[$widget_id], $form_inputs );
  }
  
! // Display File upload quota on dashboard
  function wp_dashboard_quota() {
  	if ( !is_multisite() || !current_user_can('upload_files') || get_site_option( 'upload_space_check_disabled' ) )
  		return true;
--- 1114,1128 ----
  	wp_widget_rss_form( $widget_options[$widget_id], $form_inputs );
  }
  
! /**
!  * Display file upload quota on dashboard.
!  *
!  * Runs on the activity_box_end hook in wp_dashboard_right_now().
!  *
!  * @since 3.0.0
!  *
!  * @return bool True if not multisite, user can't upload files, or the space check option is disabled.
! */
  function wp_dashboard_quota() {
  	if ( !is_multisite() || !current_user_can('upload_files') || get_site_option( 'upload_space_check_disabled' ) )
  		return true;
